使用xiunobbs_4.0.beta_006安装后的问题反馈,请帮忙分析原因 未解决

test20140518 22天前 352

使用xiunobbs_4.0.beta_006安装后,能够正常登录,但是在后台无法维护板块和用户组,请了解的朋友帮忙分析一下原因,谢谢!具体服务器环境配置和错误提示,如下图所示:

图1

图2


图3

最新回复 (18)
  • 773433432@qq.com 21天前
    引用 2
    安装前所有配置信息为绿色支持吗?可以的话一般的主机都是支持是没有问题的。
  • 773433432@qq.com 21天前
    引用 3

    这类问题,如果没有猜错的话,应该是插件问题吧!之前我的后台部分页面也是好好的,安装部分插件后就发现部分页面错误打不开了。我这类问题解决方法就是:关闭或先卸载已经按安装的插件。

  • axiuno 21天前
    引用 4
    收到,待查。
  • test20140518 21天前
    引用 5
    773433432@qq.com 这类问题,如果没有猜错的话,应该是插件问题吧!之前我的后台部分页面也是好好的,安装部分插件后就发现部分页面错误打不开了。我这类问题解决方法就是:关闭或先卸载已经按安装的插件。
    看Apache的error.log文件有错误提示,如下:
    PHP  Warning:    PHP  Startup:  Unable  to  load  dynamic  library  'D:\\php\\php-7.0.26-Win32-VC14-x86\\ext\\php_curl.dll'  -  %1  \xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xd0\xa7\xef\xbf\xbd\xef\xbf\xbd  Win32  \xd3\xa6\xef\xbf\xbd\xc3\xb3\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\r\n  in  Unknown  on  line  0
    PHP  Warning:    PHP  Startup:  Unable  to  load  dynamic  library  'D:\\php\\php-7.0.26-Win32-VC14-x86\\ext\\php_ftp.dll'  -  \xef\xbf\xbd\xd2\xb2\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xd6\xb8\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xc4\xa3\xef\xbf\xbd\xe9\xa1\xa3\r\n  in  Unknown  on  line  0
    PHP  Warning:    PHP  Startup:  Unable  to  load  dynamic  library  'D:\\php\\php-7.0.26-Win32-VC14-x86\\ext\\php_openssl.dll'  -  \xef\xbf\xbd\xd2\xb2\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xd6\xb8\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xef\xbf\xbd\xc4\xa3\xef\xbf\xbd\xe9\xa1\xa3\r\n  in  Unknown  on  line  0
    然后,我先把这几个插件先注释掉了;但是,在系统的xx-error.log中,仍有一下错误提示:
    PHP  Warning:    Invalid  argument  supplied  for  foreach()  in  D:\\php\\Apache24\\htdocs\\tmp\\admin_route_thread.php  on;
    PHP  Warning:    Invalid  argument  supplied  for  foreach()  in  D:\\php\\Apache24\\htdocs\\tmp\\admin_view_htm_group_list.htm  on  line  29
  • test20140518 21天前
    引用 6
    axiuno 收到,待查。
    谢谢
  • test20140518 20天前
    引用 7
    axiuno 收到,待查。
    @axiuno,正在弄部署,在线坐等你的解决办法,希望可以早日解决!
  • axiuno 20天前
    引用 8
    你可能把版块全部删除了?
  • axiuno 20天前
    引用 9
    用户组也全部删除了?
  • axiuno 20天前
    引用 10
    不影响使用就可以忽略,可能你的数据出问题了。
  • test20140518 20天前
    引用 11

    @axiuno,我用的是xiunobbs_4.0.beta_006版本根据安装导航使用安装的,根据查看数据库里的数据,应该和install目录下的install.sql脚本的初始化数据是一致的呀,现在后台的版块,主题和用户组都无法正常使用,造成无法正常给用户关联用户组合无法维护版块。整个网站没法正常使用了。具体的数据表内容如下:

    图1(bbs_forum)


    图2(bbs_group)


    图3(所有数据库表)


    看页面错误提示,是foreach循环有问题,是不是在数据库读取上有问题?造成结果集为空,无法进行循环处理呢?


    PS:在安装时,根据向导安装页面,设置完页面数据库相关参数后,点击下一步,页面直接调整到了白板页面,这个是不是数据库相关脚本没成功执行完成?但是现在能登录,能注册,但是用户无法正常使用。


  • axiuno 20天前
    引用 12
    后台清理下缓存看看?把网址贴出来。
  • test20140518 20天前
    引用 13
    axiuno 后台清理下缓存看看?把网址贴出来。
    先在本地机器试装的站,没有外网ip呢!缓存清了很多次了,没效果!搞不定,心里堵的慌!期待@axiuno提供解决建议。谢谢!
  • hidao@hidao.org 20天前
    引用 14

    表示本地架设未出现这个问题

  • 彼岸花 20天前
    引用 15
  • test20140518 20天前
    引用 16
    hidao@hidao.org 表示本地架设未出现这个问题
    请问一下,你操作系统、PHP、mysql和Apache都用的具体是什么版本?
  • hidao@hidao.org 20天前
    引用 17
    test20140518 请问一下,你操作系统、PHP、mysql和Apache都用的具体是什么版本?
    安装的时候不是有提示么???
  • test20140518 19天前
    引用 18
    经过尝试,在centos7.0+PHP5.4.16+apache2.4.6+mysql5.7.17环境下,安装成功。没发现以上问题
  • 等你吃夜宵 19天前
    引用 19
    这些一般都是环境问题,建议用Nginx环境,虽然Apache速度快些,我也遇到过这样的问题,我直接换环境。
返回
HTTP/1.1 502 Bad Gateway Content-Type: text/html Connection: close Content-Length: 303 Date: Tue, 23 Jan 2018 12:35:29 GMT X-Via: 1.1 host.localdomain (random:420538 Fikker/Webcache/3.7.4) 502 Bad Gateway

502 Bad Gateway - Cann't Connect To Upstream Server By SSL Read

Server: host.localdomain
Date: 2018-01-23 12:35:29

Fikker/Webcache/3.7.4